Skip to main content
POST
/
news
/
stories
/
{id}
/
chat
curl -X POST "https://app.mavera.io/api/v1/news/stories/STORY_ID/chat" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"message": "What are the key implications of this story?"}'
{
  "object": "news_story_chat",
  "story_id": "<string>",
  "story_name": "<string>",
  "message": {
    "role": "assistant",
    "content": "<string>"
  },
  "usage": {
    "prompt_tokens": 123,
    "completion_tokens": 123,
    "credits_used": 123
  },
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.

Path Parameters

id
string
required

Story ID

Body

application/json
message
string
required

Your question or message about the story

Maximum string length: 2000
conversation_history
object[]

Previous messages for multi-turn conversations (max 20)

Maximum array length: 20

Response

Chat response

object
enum<string>
Available options:
news_story_chat
story_id
string
story_name
string
message
object
usage
object
created_at
string<date-time>